=== debian/changelog ===
jbigkit (2.0-2ubuntu4) trusty; urgency=low

  * libjbig0.symbols: Fix symbols file to refer to the right library.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 11 Dec 2013 02:14:44 -0700

jbigkit (2.0-2ubuntu3) trusty; urgency=low

  * Fix header include.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 07 Dec 2013 19:25:40 +0100

jbigkit (2.0-2ubuntu2) trusty; urgency=medium

  * Allow the package to cross build, remove wrong libtool usage.
  * Build using hardening defaults.
  * Add a symbols file.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 07 Dec 2013 19:00:45 +0100

jbigkit (2.0-2ubuntu1) quantal; urgency=low

  * Fix a number of compiler warnings per feedback from Ubuntu security team
    (LP: #993304).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 09 Jul 2012 11:57:58 +0100

jbigkit (2.0-2) unstable; urgency=low

  * Correct typo in new Makefile, so that libjbig.so now points to a file
    that exists (Closes: #667927)
  * Readd test target per Mathieu Malaterre's comments
  * Make test target work by forcing it to search the directory where the
    library was built.

 -- Michael van der Kolff <mvanderkolff@gmail.com>  Sun, 08 Apr 2012 19:12:41 +1000

jbigkit (2.0-1) unstable; urgency=low

  * Initial release (Closes: #656413)

 -- Michael van der Kolff <mvanderkolff@gmail.com>  Fri, 06 Apr 2012 07:05:15 +1000
