=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
export DEB_HOST_MULTIARCH

CFLAGS ?= $(shell dpkg-buildflags --get CPPFLAGS; dpkg-buildflags --get CFLAGS)
LDFLAGS ?= $(shell dpkg-buildflags --get LDFLAGS)

ifneq ($(DEB_HOST_MULTIARCH),$(DEB_BUILD_MULTIARCH))
  CC = $(DEB_HOST_GNU_TYPE)-gcc
  export DEB_HOST_GNU_TYPE
else
  CC = cc
  unexport DEB_HOST_GNU_TYPE
endif

%:
	dh $@

pkg_run = jbigkit-bin

override_dh_auto_build:
	make CC="$(CC)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"

override_dh_installman:
	dh_installman -p$(pkg_run) debian/jbgtopbm85.1 debian/pbmtojbg85.1

debian/jbgtopbm85.1:
	help2man -n "reads a bi-level image entity (BIE) as input file" \
		--no-discard-stderr --output=debian/jbgtopbm85.1 --no-info jbgtopbm85

debian/pbmtojbg85.1:
	help2man -n "creates bi-level image entity (BIE) as output file" \
		--no-discard-stderr --output=debian/pbmtojbg85.1 --no-info pbmtojbg85
