=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://www.cl.cam.ac.uk/~mgk25/download/ \
	jbigkit-([\d\.]+).tar.gz
