=== debian/changelog ===
jbigkit (2.1-6.1ubuntu2) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:00:28 +0200

jbigkit (2.1-6.1ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/CVE-2017-9937.patch: set maximum decoded image size to
      2GB.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 05 May 2023 09:34:49 +0200

jbigkit (2.1-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix autopkgtest (Closes: #1023710)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 04 Dec 2022 19:16:16 +0100

jbigkit (2.1-6ubuntu1) lunar; urgency=medium

  * SECURITY UPDATE: abort when memory allocations fail in jbig.c
    - debian/patches/CVE-2017-9937.patch: set maximum decoded image size to
      2GB.
    - CVE-2017-9937

 -- Camila Camargo de Matos <camila.camargodematos@canonical.com>  Wed, 23 Nov 2022 08:17:10 -0300

jbigkit (2.1-6) unstable; urgency=medium

  * Rehome JBIGKit packaging onto salsa.debian.org
  * Fix up PIC release code which seems to render this unbuildable on ppc,
    hppa, and produces issues on mips(el)
  * Create testdata package
  * Add unit test

 -- Michael van der Kolff <mvanderkolff@gmail.com>  Tue, 11 Oct 2022 10:46:00 +1100

jbigkit (2.1-5) unstable; urgency=medium

  [ Michael van der Kolff ]
  * Bump Compat to 13
  * Really update Std-Vers to 4.6.1 (it seems I typoed 4.5.1...)

  [ Christian Göttsche ]
  * Enable hardening flags and update Makefile patches to propagate them
  * misc Lintian cleanup

 -- Michael van der Kolff <mvanderkolff@gmail.com>  Fri, 07 Oct 2022 16:23:00 +1100

jbigkit (2.1-4) unstable; urgency=medium

  * Use secure URI in Vcs control header (thanks, jelmer@!).
  * Add patch from upstream, closing serious bugs (Closes: #869708, #969593)
  * Bump Std-Vers to 4.6.1, no changes needed
  * Bump Compat to 12 - tests needed to be parallelisable
  * Fixed non-parallelised tests
  * Lintian-clean!

 -- Michael van der Kolff <mvanderkolff@gmail.com>  Mon, 3 Oct 2022 16:43:00 +1100

jbigkit (2.1-3.1) unstable; urgency=medium

  * Non maintainer upload.
  * Allow the package to cross build, remove libtool usage. Closes: #761760.

 -- Matthias Klose <doko@debian.org>  Mon, 13 Oct 2014 21:07:40 +0200

jbigkit (2.1-3) unstable; urgency=low

  * Fix up typo in man page
  * Correct makefile so that test targets use correct CFLAGS, too
  * Fix lintian pre-depends-directly-on-multiarch-support

 -- Michael van der Kolff <mvanderkolff@gmail.com>  Fri, 25 Jul 2014 08:39:06 +1000

jbigkit (2.1-2) unstable; urgency=medium

  * Don't override passed CFLAGS in Makefile (so it now hardens properly)
  * Use -Wall, remove -Wno-unused-result (papering over #680935)
  * Fix remaining unused result warnings (Thanks Colin) (Closes: #680935)
  * Add static library to dev package (Closes: #741379)

 -- Michael van der Kolff <mvanderkolff@gmail.com>  Wed, 23 Jul 2014 18:25:12 +1000

jbigkit (2.1-1) unstable; urgency=low

  * Bump Std-Vers to 3.9.5, no changes needed
  * Add symbols file (pulled from ubuntu diff) (Closes: #712240)
  * Remove explicit calls to `install -s`.
    Closes: #754344 (Thanks: Steve Langasek <steve.langasek@canonical.com>)
  * Update package priority (Closes: #755284)
  * Update watch location
  * Imported Upstream version 2.1

 -- Michael van der Kolff <mvanderkolff@gmail.com>  Sun, 20 Jul 2014 20:45:41 +1000

jbigkit (2.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add CVE-2013-6369.patch patch.
    CVE-2013-6369: Fix stack-based buffer overflow flaw. (Closes: #743960)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 20 Apr 2014 16:37:42 +0200
