=== debian/control ===
Source: jbigkit
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Michael van der Kolff <mvanderkolff@gmail.com>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.1
Section: libs
Homepage: http://www.cl.cam.ac.uk/~mgk25/jbigkit/
Vcs-Git: https://salsa.debian.org/debian-phototools-team/jbigkit.git
Vcs-Browser: https://salsa.debian.org/debian-phototools-team/jbigkit
Rules-Requires-Root: no

Package: jbigkit-bin
Section: graphics
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: netpbm
Description: JBIGkit binaries
 JBIG-KIT provides a portable library of compression and decompression functions
 with a documented interface that you can include very easily into your image or
 document processing software.
 .
 This package contains the binaries from JBIG-KIT.

Package: jbigkit-testdata
Section: graphics
Architecture: any
Depends: ${misc:Depends}
Description: JBIG-KIT testdata
 JBIG-KIT provides a portable library of compression and decompression functions
 with a documented interface that you can include very easily into your image or
 document processing software.
 .
 This package contains the testdata included with JBIG-KIT.

Package: libjbig-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libjbig0 (= ${binary:Version}), ${misc:Depends}
Description: JBIGkit development files
 JBIG-KIT provides a portable library of compression and decompression functions
 with a documented interface that you can include very easily into your image or
 document processing software.
 .
 This package contains the headers for the library.
 .
 Please note: There is no statically linked library in this package, and what
 was previously two libraries with a single common file has been merged into
 one library (libjbig).

Package: libjbig0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: JBIGkit libraries
 JBIG-KIT provides a portable library of compression and decompression functions
 with a documented interface that you can include very easily into your image or
 document processing software.
 .
 This package contains the dynamically linked library.
