=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall -Wextra


%:
	dh $@

pkg_run = jbigkit-bin

override_dh_installman:
	dh_installman -p$(pkg_run) debian/jbgtopbm85.1 debian/pbmtojbg85.1

debian/jbgtopbm85.1:
	help2man -n "reads a bi-level image entity (BIE) as input file" \
		--no-discard-stderr --output=debian/jbgtopbm85.1 --no-info jbgtopbm85

debian/pbmtojbg85.1:
	help2man -n "creates bi-level image entity (BIE) as output file" \
		--no-discard-stderr --output=debian/pbmtojbg85.1 --no-info pbmtojbg85

get-orig-source:
	uscan --verbose --force-download --rename
