## jbigkit 2.1.1

=== debian/changelog ===
jbigkit (2.1.1-1+rebuild) unstable; urgency=low

  * ['Autobuild release-candidate: 88f33772a44318883b7a934564d0e2ec3c7ae75b']

 -- shuttle <shuttle@deepin.com>  Tue, 10 Dec 2019 19:16:21 +0000
